﻿using System;

namespace Server.Items
{
    public abstract class LapisAbstractDyeTub : DyeTub
    {
        public LapisAbstractDyeTub()
        {
        }
        public LapisAbstractDyeTub(Serial serial) : base(serial)
        {
        }
        public static readonly CustomHuePicker[] HuePicker = new CustomHuePicker[] { null, CustomHuePicker.SpecialDyeTub, CustomHuePicker.LeatherDyeTub, LapisCustomHuePicker.NeonColor };
        public static readonly String[] DispName = { "通常色", "特殊色", "インゴットカラー", "ネオンカラー" };

        public virtual int  Category { get; set;}
        public virtual bool ColorNormal  { get; set; }
        public virtual bool ColorSpecial { get; set; }
        public virtual bool ColorIngots  { get; set; }
        public virtual bool ColorNeon    { get; set; }

        public virtual void SetGumpEntry(Mobile mob) { return; }
        public virtual void selectPaints(Mobile from) { return; }

        public override void Serialize(GenericWriter writer)
        {
            base.Serialize(writer);

            writer.Write((int)0); // version
        }

        public override void Deserialize(GenericReader reader)
        {
            base.Deserialize(reader);

            int version = reader.ReadInt();
        }
    }
}
