﻿using Server.ContextMenus;
using Server.Items;

namespace Server.ContextMenus
{
    public class LapisChangeColorEntry : ContextMenuEntry
    {
        private readonly Mobile m_From;
        private readonly LapisAbstractDyeTub m_Tub;
        public LapisChangeColorEntry(Mobile from, LapisAbstractDyeTub tub) : base(1011246)
        {
            this.m_From = from;
            this.m_Tub = tub;
        }

        public override void OnClick()
        {
            if (this.m_Tub == null && this.m_Tub.Deleted) return;
            this.m_Tub.SetGumpEntry(this.Owner.From);
        }
    }
}
